# norootforbuild

Name:           taglib
Summary:        C++ Library to Parse Metadata in Media Files
Version:        1.5
Release:        1.10
Source:		http://ktown.kde.org/~wheeler/files/src/taglib-%{version}.tar.gz
Source1:        taglib.desktop
License:        LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Group:          Development/Libraries/C and C++
Url:            http://ktown.kde.org/~wheeler/taglib/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake doxygen gcc-c++ graphviz update-desktop-files zlib-devel
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
Provides:	taglib = %{version}-%{release}
Provides:	taglib%(echo "%{version}"|cut -f1 -d.) = %{version}-%{release}
Provides:	taglib%(echo "%{version}"|cut -f1-2 -d.|tr '.' '_') = %{version}-%{release}
Provides:	taglib_c = %{version}-%{release}
Provides:	taglib_c0 = %{version}-%{release}

%description
libtag provides a C++ interface for reading additional data (stored in
TAGs) from MP3, Ogg Vorbis, and MPEG files.



Authors:
--------
    Scott Wheeler <wheeler@kde.org>

%package devel
Group:          Development/Libraries/C and C++
License:        LGPL v2.1 or later
Summary:        C++ Library to Parse Metadata in media files
Requires:       %{name} = %{version}
Requires:	libstdc++-devel

%description devel
libtag provides a C++ interface for reading additional data (stored in
TAGs) from MP3, Ogg Vorbis, and MPEG files.



Authors:
--------
    Scott Wheeler <wheeler@kde.org>

%prep
%setup -q -n "taglib-%{version}"

%build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
cmake -DCMAKE_INSTALL_PREFIX="%{_prefix}" -DBUILD_TESTS:BOOL=OFF -DLIB_INSTALL_DIR="%{_libdir}" .
%__make %{?jobs:-j%jobs} VERBOSE=1
pushd doc
doxygen taglib.doxygen
popd #doc

%install
%makeinstall
# install susehelp file
%__install -d "%{buildroot}%{_datadir}/susehelp/meta/Development/Libraries/"
%__install -m 0644 "%{SOURCE1}" \
        "%{buildroot}%{_datadir}/susehelp/meta/Development/Libraries/taglib.desktop"
%suse_update_desktop_file "%{buildroot}%{_datadir}/susehelp/meta/Development/Libraries/taglib.desktop"

%__install -d "%{buildroot}%_defaultdocdir/%name"
%__cp -a AUTHORS doc/html \
      "%{buildroot}%_defaultdocdir/%name/"
%if 0%{?suse_version} > 1020
%fdupes %{buildroot}
%endif

%check
# check the library
#pushd tests
#%__make check
#popd

%clean
%__rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtag.so.1
%{_libdir}/libtag.so.1.5.*
%{_libdir}/libtag_c.so.0
%{_libdir}/libtag_c.so.0.*

%files devel
%defattr(-,root,root)
%doc %_defaultdocdir/%name
%{_datadir}/susehelp
%{_bindir}/taglib-config
%{_includedir}/taglib
%{_libdir}/libtag*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Apr 14 2008 Carsten Schoene <cs@linux-administrator.com>
- reimport for SLE_10 build

